from django import template

from colloscope.models import *

register = template.Library()


@register.filter(name="strftime")
def strftime(value, arg):
    return value.strftime(arg)


@register.filter(name="getitem")
def getitem(indexable, i):
    return indexable[i]


@register.filter(name="print_manager")
def print_manager(value):
    if value.exists():
        return "+".join(str(v) for v in value)
    else:
        return "&empty;"


"""
@register.filter(name="exists")
def exists(queryset):
    return queryset.exists()
"""
"""
@register.filter(name="est_modifiee")
def est_modifiee(rotation):
    return rotation.est_modifiee()
"""
