from django.urls import path
from . import views

urlpatterns = [
    path("", views.home_redirect, name="colloscope.home"),
    path("table.html", views.colloscope, name="colloscope.table"),
    path("dashboard.html", views.dashboard, name="colloscope.dashboard"),
    path("export.pdf", views.export, name="colloscope.export"),
    path("export/calendar/<str:key>/calendar.ics", views.icalendar, name="colloscope.calendar.ics"),
    path("select_profile", views.select_profile, name="colloscope.select_profile"),
    path("marketplace.html", views.marketplace, name="colloscope.marketplace"),
    path("action/enroll", views.enroll, name="colloscope.enroll"),
    path("action/withdraw", views.withdraw, name="colloscope.withdraw"),
]
